openSUSE Security Update : libdb-4_8 (openSUSE-2018-199)

2018-02-23T00:00:00
ID OPENSUSE-2018-199.NASL
Type nessus
Reporter This script is Copyright (C) 2018-2020 Tenable Network Security, Inc.
Modified 2018-02-23T00:00:00

Description

This update for libdb-4_8 fixes the following issues :

  • A DB_CONFIG file in the current working directory allowed local users to obtain sensitive information via a symlink attack involving a setgid or setuid application using libdb-4_8. (bsc#1043886)

This update was imported from the SUSE:SLE-12:Update update project.

                                        
                                            #%NASL_MIN_LEVEL 80502
#
# (C) Tenable Network Security, Inc.
#
# The descriptive text and package checks in this plugin were
# extracted from openSUSE Security Update openSUSE-2018-199.
#
# The text description of this plugin is (C) SUSE LLC.
#

include("compat.inc");

if (description)
{
  script_id(106961);
  script_version("3.2");
  script_set_attribute(attribute:"plugin_modification_date", value:"2020/06/04");

  script_name(english:"openSUSE Security Update : libdb-4_8 (openSUSE-2018-199)");
  script_summary(english:"Check for the openSUSE-2018-199 patch");

  script_set_attribute(
    attribute:"synopsis", 
    value:"The remote openSUSE host is missing a security update."
  );
  script_set_attribute(
    attribute:"description", 
    value:
"This update for libdb-4_8 fixes the following issues :

  - A DB_CONFIG file in the current working directory
    allowed local users to obtain sensitive information via
    a symlink attack involving a setgid or setuid
    application using libdb-4_8. (bsc#1043886)

This update was imported from the SUSE:SLE-12:Update update project."
  );
  script_set_attribute(
    attribute:"see_also",
    value:"https://bugzilla.opensuse.org/show_bug.cgi?id=1043886"
  );
  script_set_attribute(
    attribute:"solution", 
    value:"Update the affected libdb-4_8 packages."
  );
  script_set_attribute(attribute:"risk_factor", value:"Medium");

  script_set_attribute(attribute:"plugin_type", value:"local");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:novell:opensuse:db48-utils");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:novell:opensuse:libdb-4_8");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:novell:opensuse:libdb-4_8-32bit");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:novell:opensuse:libdb-4_8-debuginfo");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:novell:opensuse:libdb-4_8-debuginfo-32bit");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:novell:opensuse:libdb-4_8-debugsource");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:novell:opensuse:libdb-4_8-devel");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:novell:opensuse:libdb-4_8-devel-32bit");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:novell:opensuse:libdb_java-4_8");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:novell:opensuse:libdb_java-4_8-debuginfo");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:novell:opensuse:libdb_java-4_8-debugsource");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:novell:opensuse:libdb_java-4_8-devel");
  script_set_attribute(attribute:"cpe", value:"cpe:/o:novell:opensuse:42.3");

  script_set_attribute(attribute:"patch_publication_date", value:"2018/02/22");
  script_set_attribute(attribute:"plugin_publication_date", value:"2018/02/23");
  script_end_attributes();

  script_category(ACT_GATHER_INFO);
  script_copyright(english:"This script is Copyright (C) 2018-2020 Tenable Network Security, Inc.");
  script_family(english:"SuSE Local Security Checks");

  script_dependencies("ssh_get_info.nasl");
  script_require_keys("Host/local_checks_enabled", "Host/SuSE/release", "Host/SuSE/rpm-list", "Host/cpu");

  exit(0);
}


include("audit.inc");
include("global_settings.inc");
include("rpm.inc");

if (!get_kb_item("Host/local_checks_enabled")) audit(AUDIT_LOCAL_CHECKS_NOT_ENABLED);
release = get_kb_item("Host/SuSE/release");
if (isnull(release) || release =~ "^(SLED|SLES)") audit(AUDIT_OS_NOT, "openSUSE");
if (release !~ "^(SUSE42\.3)$") audit(AUDIT_OS_RELEASE_NOT, "openSUSE", "42.3", release);
if (!get_kb_item("Host/SuSE/rpm-list")) audit(AUDIT_PACKAGE_LIST_MISSING);

ourarch = get_kb_item("Host/cpu");
if (!ourarch) audit(AUDIT_UNKNOWN_ARCH);
if (ourarch !~ "^(i586|i686|x86_64)$") audit(AUDIT_ARCH_NOT, "i586 / i686 / x86_64", ourarch);

flag = 0;

if ( rpm_check(release:"SUSE42.3", reference:"db48-utils-4.8.30-34.3.1") ) flag++;
if ( rpm_check(release:"SUSE42.3", reference:"libdb-4_8-4.8.30-34.3.1") ) flag++;
if ( rpm_check(release:"SUSE42.3", reference:"libdb-4_8-debuginfo-4.8.30-34.3.1") ) flag++;
if ( rpm_check(release:"SUSE42.3", reference:"libdb-4_8-debugsource-4.8.30-34.3.1") ) flag++;
if ( rpm_check(release:"SUSE42.3", reference:"libdb-4_8-devel-4.8.30-34.3.1") ) flag++;
if ( rpm_check(release:"SUSE42.3", reference:"libdb_java-4_8-4.8.30-34.3.1") ) flag++;
if ( rpm_check(release:"SUSE42.3", reference:"libdb_java-4_8-debuginfo-4.8.30-34.3.1") ) flag++;
if ( rpm_check(release:"SUSE42.3", reference:"libdb_java-4_8-debugsource-4.8.30-34.3.1") ) flag++;
if ( rpm_check(release:"SUSE42.3", reference:"libdb_java-4_8-devel-4.8.30-34.3.1") ) flag++;
if ( rpm_check(release:"SUSE42.3", cpu:"x86_64", reference:"libdb-4_8-32bit-4.8.30-34.3.1") ) flag++;
if ( rpm_check(release:"SUSE42.3", cpu:"x86_64", reference:"libdb-4_8-debuginfo-32bit-4.8.30-34.3.1") ) flag++;
if ( rpm_check(release:"SUSE42.3", cpu:"x86_64", reference:"libdb-4_8-devel-32bit-4.8.30-34.3.1") ) flag++;

if (flag)
{
  if (report_verbosity > 0) security_warning(port:0, extra:rpm_report_get());
  else security_warning(0);
  exit(0);
}
else
{
  tested = pkg_tests_get();
  if (tested) audit(AUDIT_PACKAGE_NOT_AFFECTED, tested);
  else audit(AUDIT_PACKAGE_NOT_INSTALLED, "db48-utils / libdb-4_8-32bit / libdb-4_8 / etc");
}